// Copyright 2023 Salesforce, Inc. All rights reserved.
mod model;

mod configuration;
mod error;

pub use configuration::*;
pub use error::CorsError;

mod check;
pub use check::{Check, Cors, ResponseType};

pub(crate) type HeaderValue = str;
pub(crate) type HeaderMap<'a> = [(&'a str, &'a HeaderValue)];
